<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [httpworm](./bitburner.ns.httpworm.md)

## NS.httpworm() method

Runs HTTPWorm.exe on a server.

<b>Signature:</b>

```typescript
httpworm(host: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname of the target server. |

<b>Returns:</b>

void

## Remarks

RAM cost: 0.05 GB

Runs the HTTPWorm.exe program on the target server. HTTPWorm.exe must exist on your home computer.

## Example 1


```ts
// NS1:
httpworm("foodnstuff");
```

## Example 2


```ts
// NS2:
ns.httpworm("foodnstuff");
```

